# Statistics

For each vehicle in your fleet, you can access to a set of data:&#x20;

* The number of trips.
* The total distance analyzed.
* The vehicule mileage.
* The wear percentages of the front/rear tires and brakes.

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/51e764e32ff12-get-vehicle-statistics).
{% endhint %}

## GET /drivekit/admin/vehicles/{vehicleId}/statistics

> Get vehicle statistics

```json
{"openapi":"3.0.3","info":{"title":"DKAdminVehiclesV3","version":"1.0"},"servers":[{"url":"https://service.drivequant.com/v3","description":"Prod"}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"name":"DriveKit-Admin-API-Key","type":"apiKey","in":"header"}},"schemas":{"WearComponent":{"title":"WearComponent","type":"object","description":"Wear data","properties":{"analyzedDistance":{"type":"integer","description":"Total distance analyzed for the component (in km)"},"distance":{"type":"integer","description":"Total distance analyzed for the component (in km)"},"changeDate":{"type":"string","nullable":true,"description":"Date of last component change, null if the component was never changed","format":"date-time"},"wear":{"type":"number","description":"Total worn mass percentage of the component (right/left) \nMin. value = 0% / Max. value = 100%"},"autonomy":{"type":"integer","description":"Component remaining distance before change (in km)\nMin. value = 0 / Max. value = 1 000 000"},"wearRate":{"type":"number","description":"Average wear rate for the component (in %/1000 km)"}}},"ErrorResponse":{"title":"ErrorResponse","type":"object","properties":{"message":{"type":"string"},"code":{"type":"integer"},"messageKey":{"type":"string"}}}}},"paths":{"/drivekit/admin/vehicles/{vehicleId}/statistics":{"get":{"summary":"Get vehicle statistics","tags":[],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"distance":{"type":"integer","description":"Vehicle mileage"},"analyzedDistance":{"type":"integer","description":"Analyzed distance"},"tripNumber":{"type":"integer","description":"Total number of trips"},"frontTire":{"$ref":"#/components/schemas/WearComponent"},"rearTire":{"$ref":"#/components/schemas/WearComponent"},"frontBrake":{"$ref":"#/components/schemas/WearComponent"},"rearBrake":{"$ref":"#/components/schemas/WearComponent"}},"required":["distance","analyzedDistance","tripNumber","frontTire","rearTire","frontBrake","rearBrake"]}}}},"401":{"description":"API key invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Vehicle id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"operationId":"get-drivekit-admin-vehicles-vehicleId-statistics","parameters":[{"schema":{"type":"string"},"in":"header","name":"DriveKit-Admin-API-Key","description":"Admin API Key","required":true}],"description":""}}}}
```

## Response

The table below summarizes the list of vehicle statistics data.

<table><thead><tr><th width="189">Field</th><th width="192.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>distance</td><td><code>integer</code></td><td>Vehicle mileage</td></tr><tr><td>analyzedDistance</td><td><code>integer</code></td><td>Analyzed distance</td></tr><tr><td>tripNumber</td><td><code>integer</code></td><td>Total number of trips</td></tr><tr><td>frontTire</td><td><a href="/pages/-M-u0rInEdWmwyM5EaBk#wearcomponent">WearComponent</a></td><td>Wear data for the front tire</td></tr><tr><td>rearTire</td><td><a href="/pages/-M-u0rInEdWmwyM5EaBk#wearcomponent">WearComponent</a></td><td>Wear data for the rear tire</td></tr><tr><td>frontBrake</td><td><a href="/pages/-M-u0rInEdWmwyM5EaBk#wearcomponent">WearComponent</a></td><td>Wear data for the front brake</td></tr><tr><td>rearBrake</td><td><a href="/pages/-M-u0rInEdWmwyM5EaBk#wearcomponent">WearComponent</a></td><td>Wear data for the rear brake</td></tr></tbody></table>

### WearComponent

<table><thead><tr><th width="164.1953125">Field</th><th width="102.26041666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>analyzedDistance</td><td><code>integer</code></td><td>Total distance analyzed for the component (in km)</td></tr><tr><td>distance</td><td><code>integer</code></td><td>Total distance analyzed for the component (in km)</td></tr><tr><td>changeDate</td><td><code>string</code></td><td>Date of last component change, or null if the component has never been changed<br><em>Date format: <code>yyyy-MM-dd'T'HH:mm:ss.SSSZ</code></em></td></tr><tr><td>wear</td><td><code>number</code></td><td><p>Total worn mass percentage of the component (right/left) </p><p><em>Min: 0%</em></p><p><em>Max: 100%</em></p></td></tr><tr><td>autonomy</td><td><code>integer</code></td><td><p>Component remaining distance before change (in km)</p><p><em>Min: 0</em></p><p><em>Max: 1 000 000</em></p></td></tr><tr><td>wearRate</td><td><code>number</code></td><td>Average wear rate for the component (in %/1000 km)</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.drivequant.com/backend/vehicle/vehicle-statistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
